Skip to content

Start OpenID Connect sign-in

POST
/auth/oidc/{realm}/start
curl --request POST \
--url https://sylve.lan:8181/api/auth/oidc/example/start \
--header 'Content-Type: application/json' \
--data '{ "redirectUri": "example" }'

Returns the provider URL to send the browser to, and binds the attempt to this browser with a cookie

realm
required
string

Realm name

This node’s callback URL

Media typeapplication/json
object
redirectUri
required
string
<= 2048 characters
Examplegenerated
{
"redirectUri": "example"
}

Success

Media typeapplication/json
object
data
object
url
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"url": "example"
},
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Service Unavailable

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}